﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace _2011_06_07_2011_06_08_Praktkum
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        // Im Projekt Verweis auf System.Windows.Forms hinzufügen! 
        System.Windows.Forms.FolderBrowserDialog dialog = new System.Windows.Forms.FolderBrowserDialog();

        TreemapComposite dir;

        private void buttonSelectFolder_Click(object sender, RoutedEventArgs e)
        {
            System.Windows.Forms.DialogResult result = dialog.ShowDialog();
            if (result == System.Windows.Forms.DialogResult.OK)
            {
                dir = new TreemapComposite(new System.IO.DirectoryInfo(dialog.SelectedPath), 5);
                canvasTreeMap.Children.Clear();
                dir.AddToCanvas(canvasTreeMap, new Rect(new Point(), new Size(canvasTreeMap.Width, canvasTreeMap.Height)), true);
            }
        }

        private void canvasTreeMap_MouseMove(object sender, MouseEventArgs e)
        {
            if (dir != null)
            {
                TreemapComponent c = dir.FindOnScreen(e.GetPosition(canvasTreeMap));
                if(c != null)
                {
                    labelName.Content = c.Name;
                }
            }
        }
    }
}
